package com.dcsoft.system.face.mapper;

import com.dcsoft.system.face.domain.FaceStudent;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 学生信息Mapper接口
 *
 * @author nichun
 * @date 2023-03-30
 */
public interface FaceStudentMapper
{
    /**
     * 查询学生信息
     *
     * @param id 学生信息主键
     * @return 学生信息
     */
    public FaceStudent selectFaceStudentById(Long id);

    public FaceStudent selectFaceStudentByStuId(String stuId);

    /**
     * 查询学生信息列表
     *
     * @param faceStudent 学生信息
     * @return 学生信息集合
     */
    public List<FaceStudent> selectFaceStudentList(FaceStudent faceStudent);

    /**
     * 新增学生信息
     *
     * @param faceStudent 学生信息
     * @return 结果
     */
    public int insertFaceStudent(FaceStudent faceStudent);

    /**
     * 修改学生信息
     *
     * @param faceStudent 学生信息
     * @return 结果
     */
    public int updateFaceStudent(FaceStudent faceStudent);

    /**
     * 删除学生信息
     *
     * @param id 学生信息主键
     * @return 结果
     */
    public int deleteFaceStudentById(Long id);

    /**
     * 批量删除学生信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFaceStudentByIds(Long[] ids);

    /**
     * 获取学生信息
     *
     * @return 结果
     */
    public FaceStudent getStudent(FaceStudent faceStudent);

    /**
     * 首页top统计
     *
     * @return 结果
     */
    public List<Map<String, Object>> top();

    /**
     * 首页topEchart统计
     *
     * @return 结果
     */
    public List<Map<String, Object>> topChart();

    public List<Map<String, Object>> getGather();


    /**
     * 批量审核学生信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int examineStudentByIds(Map<String,Object> map);


}
